Skip to content

Get Current Asset Notional Value

Returns the total current value of all assets based on their live market prices

Endpoint

GET https://api.mycactus.dev/custody/v1/api/asset
GET https://api.mycactus.com/custody/v1/api/asset

Parameters

Query Parameters

FieldTypeDescription
b_id
Optional
StringBusiness line ID (Query all asset by default)

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectSee data object details below

data (object)

FieldTypeDescription
current_assetObject[]Asset object list
cold_market_valueDecimalCold storage asset notional value (USD)
cold_marketValue_cnyDecimalCold storage asset notional value (CNY)
hot_market_valueDecimalHot storage asset notional value (USD)
hot_marketValue_cnyDecimalHot storage asset notional value (CNY)
total_market_valueDecimalTotal notional value (USD)
total_market_value_cnyDecimalTotal notional value (CNY)
coinsObject[]Asset notional value list (see coins object details below)

coins (object)

FieldTypeDescription
coin_nameStringAsset name
amountLongAsset amount (minimum unit)
valueDecimalNotional value
value_cnyDecimalNotional value (CNY)
store_typeStringStorage type
Allowed values: PRIME_HOT, PRIME_COLD_LV1

Response Example

{
    "code": 0,
    "message": "",
    "data": {
        "cold_market_value": 0.0,
        "cold_market_value_cny": 0.0,
        "hot_market_value": 5520.0336,
        "hot_market_value_cny": 38534.7474,
        "total_market_value": 5520.0336,
        "total_market_value_cny": 38534.7474,
        "coins": [
            {
                "coin_name": "BCH",
                "amount": 10995558,
                "value": 34.8862,
                "value_cny": 243.5367,
                "store_type": "PRIME_HOT"
            },
            {
                "coin_name": "BTC",
                "amount": 0,
                "value": 0.0,
                "value_cny": 0.0,
                "store_type": "PRIME_COLD"
            },
            {
                "coin_name": "BTC",
                "amount": 63420185,
                "value": 5484.3833,
                "value_cny": 38285.8765,
                "store_type": "PRIME_HOT"
            },
            {
                "coin_name": "ETC",
                "amount": 95512300000000000,
                "value": 0.7603,
                "value_cny": 5.3076,
                "store_type": "PRIME_HOT"
            }
        ]
    },
    "successful": null
}